import { Palette } from '@material-ui/core/styles/createPalette';
import { Theme } from '@material-ui/core';
import { Shadows } from '@material-ui/core/styles/shadows';
interface PaletteExtra extends Palette {
    BLUE050: string;
    BLUE075: string;
    BLUE100: string;
    BLUE200: string;
    BLUE300: string;
    BLUE400: string;
    BLUE500: string;
    BLUE600: string;
    BLUE700: string;
    BLUE800: string;
    GREEN050: string;
    GREEN075: string;
    GREEN100: string;
    GREEN200: string;
    GREEN300: string;
    GREEN400: string;
    GREEN500: string;
    GREEN600: string;
    GREEN700: string;
    GREEN800: string;
    NEUTRAL000: string;
    NEUTRAL010: string;
    NEUTRAL020: string;
    NEUTRAL030: string;
    NEUTRAL040: string;
    NEUTRAL050: string;
    NEUTRAL060: string;
    NEUTRAL070: string;
    NEUTRAL080: string;
    NEUTRAL090: string;
    NEUTRAL100: string;
    NEUTRAL200: string;
    NEUTRAL300: string;
    NEUTRAL400: string;
    NEUTRAL500: string;
    NEUTRAL600: string;
    NEUTRAL700: string;
    NEUTRAL800: string;
    NEUTRAL900: string;
    PURPLE050: string;
    PURPLE075: string;
    PURPLE100: string;
    PURPLE200: string;
    PURPLE300: string;
    PURPLE400: string;
    PURPLE500: string;
    PURPLE600: string;
    PURPLE700: string;
    PURPLE800: string;
    RED050: string;
    RED075: string;
    RED100: string;
    RED200: string;
    RED300: string;
    RED400: string;
    RED500: string;
    RED600: string;
    RED700: string;
    RED800: string;
    ORANGE050: string;
    ORANGE075: string;
    ORANGE100: string;
    ORANGE200: string;
    ORANGE300: string;
    ORANGE400: string;
    ORANGE450: string;
    ORANGE500: string;
    ORANGE600: string;
    ORANGE700: string;
    ORANGE800: string;
    YELLOW050: string;
    YELLOW075: string;
    YELLOW100: string;
    YELLOW200: string;
    YELLOW300: string;
    YELLOW400: string;
    YELLOW500: string;
    YELLOW600: string;
    YELLOW700: string;
    YELLOW800: string;
    TEAL050: string;
    TEAL075: string;
    TEAL100: string;
    TEAL200: string;
    TEAL300: string;
    TEAL400: string;
    TEAL500: string;
}
export interface ThemeAgile extends Theme {
    palette: PaletteExtra;
}
export declare const themeObject: {
    palette: {
        primary: {
            light: string;
            main: string;
            contrastText: string;
        };
        BLUE050: string;
        BLUE075: string;
        BLUE100: string;
        BLUE200: string;
        BLUE300: string;
        BLUE400: string;
        BLUE500: string;
        BLUE600: string;
        BLUE700: string;
        BLUE800: string;
        GREEN050: string;
        GREEN075: string;
        GREEN100: string;
        GREEN200: string;
        GREEN300: string;
        GREEN400: string;
        GREEN500: string;
        GREEN600: string;
        GREEN700: string;
        GREEN800: string;
        NEUTRAL000: string;
        NEUTRAL010: string;
        NEUTRAL020: string;
        NEUTRAL030: string;
        NEUTRAL040: string;
        NEUTRAL050: string;
        NEUTRAL060: string;
        NEUTRAL070: string;
        NEUTRAL080: string;
        NEUTRAL090: string;
        NEUTRAL100: string;
        NEUTRAL200: string;
        NEUTRAL300: string;
        NEUTRAL400: string;
        NEUTRAL500: string;
        NEUTRAL600: string;
        NEUTRAL700: string;
        NEUTRAL800: string;
        NEUTRAL900: string;
        PURPLE050: string;
        PURPLE075: string;
        PURPLE100: string;
        PURPLE200: string;
        PURPLE300: string;
        PURPLE400: string;
        PURPLE500: string;
        PURPLE600: string;
        PURPLE700: string;
        PURPLE800: string;
        RED050: string;
        RED075: string;
        RED100: string;
        RED200: string;
        RED300: string;
        RED400: string;
        RED500: string;
        RED600: string;
        RED700: string;
        RED800: string;
        YELLOW050: string;
        YELLOW075: string;
        YELLOW100: string;
        YELLOW200: string;
        YELLOW300: string;
        YELLOW400: string;
        YELLOW500: string;
        YELLOW600: string;
        YELLOW700: string;
        YELLOW800: string;
        ORANGE050: string;
        ORANGE075: string;
        ORANGE100: string;
        ORANGE200: string;
        ORANGE300: string;
        ORANGE400: string;
        ORANGE450: string;
        ORANGE500: string;
        ORANGE600: string;
        ORANGE700: string;
        ORANGE800: string;
        TEAL050: string;
        TEAL075: string;
        TEAL100: string;
        TEAL200: string;
        TEAL300: string;
        TEAL400: string;
        TEAL500: string;
    };
    typography: {
        fontMono: string;
        fontFamily: string;
    };
    spacing: number;
    shadows: Shadows;
};
declare const theme: Theme;
export default theme;
