"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var React = tslib_1.__importStar(require("react"));
var UnstyledLink_1 = tslib_1.__importDefault(require("../../../UnstyledLink/UnstyledLink"));
var styles = tslib_1.__importStar(require("../../ActionList.module.scss"));
var Item = function (_a) {
    var role = _a.role, content = _a.content, url = _a.url, _b = _a.hasBorder, hasBorder = _b === void 0 ? false : _b;
    var _c;
    var contentElement = React.createElement("div", { className: styles['Content'] }, content);
    var control = url ? (React.createElement(UnstyledLink_1.default, { url: url }, contentElement)) : (React.createElement("button", { type: "button" }, contentElement));
    var classNames = classnames_1.default(styles['Item'], (_c = {}, _c[styles['ItemBorder']] = hasBorder, _c));
    return React.createElement("li", { className: classNames }, control);
};
exports.default = Item;
//# sourceMappingURL=Item.js.map