"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var Item_1 = tslib_1.__importDefault(require("../Item"));
var styles = tslib_1.__importStar(require("../../ActionList.module.scss"));
var Section = function (_a) {
    var section = _a.section;
    var actionMarkup = section.items.map(function (_a, index) {
        var content = _a.content, helpText = _a.helpText, onAction = _a.onAction, item = tslib_1.__rest(_a, ["content", "helpText", "onAction"]);
        return React.createElement(Item_1.default, tslib_1.__assign({ key: content + "-" + index, content: content }, item));
    });
    var titleMarkup = section.title ? React.createElement("p", null, section.title) : null;
    var sectionMarkup = (React.createElement("div", { className: styles['Section'] },
        titleMarkup,
        React.createElement("ul", { className: styles['Actions'] }, actionMarkup)));
    return React.createElement("ul", null, actionMarkup);
};
exports.default = Section;
//# sourceMappingURL=Section.js.map