import React from 'react';
import { ITableColumn } from './TableColumn/ITableColumn';
import { ITableRow } from './TableRow/ITableRow';
export interface ITableProps extends React.HTMLAttributes<HTMLInputElement> {
    id: string;
    columns: Array<ITableColumn>;
    rows: Array<ITableRow>;
    hideHeaders?: boolean;
    fullWidth?: boolean;
}
declare const AgileTable: React.FC<ITableProps>;
export default AgileTable;
