"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var React = tslib_1.__importStar(require("react"));
var Image_1 = require("../Image");
var styles = tslib_1.__importStar(require("./Avatar.module.scss"));
var Avatar = (function (_super) {
    tslib_1.__extends(Avatar, _super);
    function Avatar() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Avatar.prototype.render = function () {
        var _a, _b;
        var _c = this.props, source = _c.source, _d = _c.size, size = _d === void 0 ? 'medium' : _d;
        var imageMarkUp = source && React.createElement(Image_1.Image, { responsive: true, source: source, alt: "user name" });
        var classNames = classnames_1.default(styles['Avatar'], (_a = {}, _a[styles['sm']] = size === 'small', _a), (_b = {}, _b[styles['lg']] = size === 'large', _b));
        return (React.createElement("span", { role: "img", className: classNames }, imageMarkUp));
    };
    return Avatar;
}(React.PureComponent));
exports.Avatar = Avatar;
exports.default = Avatar;
//# sourceMappingURL=Avatar.js.map