"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
exports.PROGRESS_LABELS = {
    incomplete: 'incomplete',
    partiallyComplete: 'partiallyComplete',
    complete: 'complete',
};
exports.STATUS_LABELS = {
    info: 'info',
    success: 'success',
    warning: 'warning',
    attention: 'attention',
    new: 'new',
};
var DEFAULT_SIZE = 'medium';
function Badge(_a) {
    var children = _a.children, status = _a.status, progress = _a.progress, _b = _a.size, size = _b === void 0 ? DEFAULT_SIZE : _b;
    return React.createElement("span", null, children);
}
exports.default = Badge;
//# sourceMappingURL=Badge.js.map