import * as React from 'react';
export interface IButtonProps extends React.HTMLAttributes<HTMLButtonElement> {
    children?: React.ReactNode;
    plain?: boolean;
    primary?: boolean;
    success?: boolean;
    danger?: boolean;
    secondary?: boolean;
    subtle?: boolean;
    disabled?: boolean;
    outline?: boolean;
    tabbed?: boolean;
    loading?: boolean;
    fullWidth?: boolean;
    size?: 'small' | 'medium' | 'large' | 'xlarge';
    type?: 'button' | 'submit' | 'reset';
    ariaLabel?: string;
    startIcon?: React.ReactNode;
    onClick?(event: React.MouseEvent<HTMLButtonElement>): void;
}
declare const Button: React.FC<IButtonProps>;
export default Button;
