import * as React from 'react';
import { BoxProps } from '@material-ui/core';
export interface ICardProp extends BoxProps {
    children?: React.ReactNode;
    header?: React.ReactNode;
    body?: React.ReactNode;
    footer?: React.ReactNode;
    title?: string;
    icon?: React.ReactNode;
    customColor?: string;
    actions?: React.ReactNode;
    elevation?: number;
}
declare const Card: React.FC<ICardProp>;
export default Card;
