import * as React from 'react';
export interface ICheckboxProps {
    inputRef?: any;
    label: React.ReactNode;
    labelHidden?: boolean;
    checked?: boolean;
    helpText?: React.ReactNode;
    disabled?: boolean;
    id?: string;
    name?: string;
    value?: string;
    error?: Error | boolean;
    onChange?(newChecked: boolean, id: string, value?: string | number): void;
    onFocus?(): void;
    onBlur?(): void;
}
declare const Checkbox: React.FC<ICheckboxProps>;
export default Checkbox;
