import * as React from 'react';
export type Method = 'post' | 'get' | 'action';
export interface IFormProps {
    action?: string;
    autoComplete?: boolean;
    children?: React.ReactNode;
    method?: Method;
    name?: string;
    noValidate?: boolean;
    preventDefault?: boolean;
    onSubmit(event: React.FormEvent<HTMLFormElement>): void;
}
declare const Form: React.FC<IFormProps>;
export default Form;
