import * as React from 'react';
export interface IInputFile {
    setFieldValue?: any;
    label: string;
    placeholder?: string;
    buttonLabel?: string;
    dropAreaLabel?: string;
    value?: string;
    helpText?: React.ReactNode;
    labelHidden?: boolean;
    focused?: boolean;
    disabled?: boolean;
    error?: Error | boolean | string;
    name?: string;
    id?: string;
    onFocus?: any;
    onBlur?: any;
    onChange?(e: React.ChangeEvent<any> | string, id?: string): void;
    dragDropHidden?: boolean;
}
declare const InputFile: React.FC<IInputFile>;
export default InputFile;
