"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var react_transition_group_1 = require("react-transition-group");
var styles = tslib_1.__importStar(require("./Dialog.module.scss"));
var DialogContainer = function (props) {
    return React.createElement("div", { className: styles['Container'] }, props.children);
};
var Dialog = function (_a) {
    var children = _a.children, onClose = _a.onClose, onExited = _a.onExited, onEntered = _a.onEntered, large = _a.large, limitHeight = _a.limitHeight, props = tslib_1.__rest(_a, ["children", "onClose", "onExited", "onEntered", "large", "limitHeight"]);
    return (React.createElement(react_transition_group_1.Transition, tslib_1.__assign({}, props, { mountOnEnter: true, unmountOnExit: true, timeout: 200, onEntered: onEntered, onExited: onExited }),
        React.createElement(DialogContainer, null,
            React.createElement("div", { className: styles['Modal'] }, children))));
};
exports.default = Dialog;
//# sourceMappingURL=Dialog.js.map