"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var React = tslib_1.__importStar(require("react"));
var styles = tslib_1.__importStar(require("../../Navigation.module.scss"));
var Item_1 = require("../Item/");
var Section = (function (_super) {
    tslib_1.__extends(Section, _super);
    function Section() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Section.prototype.render = function () {
        var items = this.props.items;
        var classNames = classnames_1.default(styles['Section']);
        var renderMenuItems = items.map(function (item) {
            var label = item.label, icon = item.icon, url = item.url;
            return React.createElement(Item_1.Item, { key: label, icon: icon, label: label, url: url });
        });
        return React.createElement("ul", { className: classNames }, renderMenuItems);
    };
    return Section;
}(React.Component));
exports.default = Section;
//# sourceMappingURL=Section.js.map