import { Component, EventHandler, MouseEvent as ReactMouseEvent, ReactElement } from 'react';
export interface IEvent extends Event {
    euiGeneratedBy: string[];
}
interface IProps {
    children: ReactElement<any>;
    onOutsideClick: (event: IEvent) => void;
    isDisabled?: boolean;
    onMouseDown?: (event: ReactMouseEvent<any, IEvent>) => void;
    onMouseUp?: (event: ReactMouseEvent<any, IEvent>) => void;
    onTouchStart?: (event: ReactMouseEvent<any, IEvent>) => void;
    onTouchEnd?: (event: ReactMouseEvent<any, IEvent>) => void;
}
export default class OutsideClickDetector extends Component<IProps> {
    private id;
    private capturedDownIds;
    constructor(props: IProps);
    onClickOutside: EventHandler<any>;
    componentDidMount(): void;
    componentWillUnmount(): void;
    onChildClick: (event: ReactMouseEvent<any, IEvent>, cb: (event: ReactMouseEvent<any, IEvent>) => void) => void;
    onChildMouseDown: (event: ReactMouseEvent<any, IEvent>) => void;
    onChildMouseUp: (event: ReactMouseEvent<any, IEvent>) => void;
    render(): ReactElement<any, string | import("react").JSXElementConstructor<any>>;
}
export {};
