"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var PageMove = function (_a) {
    var page = _a.page, onClick = _a.onClick, movement = _a.movement, totalPages = _a.totalPages;
    var backword = 'M9.005 10.995l4.593-4.593a.99.99 0 1 1 1.4 1.4l-3.9 3.9 3.9 3.9a.99.99 0 0 1-1.4 1.4L9.005 12.41a1 1 0 0 1 0-1.414z';
    var forward = 'M14.995 10.995a1 1 0 0 1 0 1.414l-4.593 4.593a.99.99 0 0 1-1.4-1.4l3.9-3.9-3.9-3.9a.99.99 0 0 1 1.4-1.4l4.593 4.593z';
    var handleClick = function (event) {
        movement === 'backward' ? --page : ++page;
        onClick(event, page);
    };
    var type = movement === 'backward' ? backword : forward;
    var isDisabled = function () {
        if (movement === 'backward' && page === 1) {
            return true;
        }
        if (movement === 'forward' && page === totalPages) {
            return true;
        }
    };
    return (react_1.default.createElement("button", { disabled: isDisabled(), type: "button", onClick: function (e) {
            handleClick(e);
        } },
        react_1.default.createElement("span", { className: "visuallyHidden" },
            "move ",
            movement),
        react_1.default.createElement("span", null,
            react_1.default.createElement("span", null,
                react_1.default.createElement("span", null,
                    react_1.default.createElement("svg", { width: "24", height: "24", viewBox: "0 0 24 24", focusable: "false", role: "presentation" },
                        react_1.default.createElement("path", { fill: "currentColor", fillRule: "evenodd", d: type })))))));
};
exports.default = PageMove;
//# sourceMappingURL=PageMove.js.map