import * as React from 'react';
import { Placement } from 'popper.js';
import { BoxProps } from '@material-ui/core';
export interface IPopoverProps extends BoxProps {
    isPortal?: boolean;
    children?: React.ReactNode;
    isOpen: boolean;
    fullWidth?: boolean;
    noCard?: boolean;
    renderReference: React.ReactElement<any>;
    offset?: number | string;
    placement?: Placement;
    zIndex?: number;
    onOutsideClickClose?: () => void;
}
export interface IPopoverState {
    activatorNode: HTMLElement | null;
}
declare const Popover: React.FC<IPopoverProps>;
export default Popover;
