import * as React from 'react';
export interface IStepType {
    name: string;
    status?: 'done' | 'selected' | 'error';
}
export interface IProgressIndicator {
    steps: IStepType[];
    numbered?: boolean;
    size?: 'lg';
}
declare const ProgressIndicator: React.FunctionComponent<IProgressIndicator>;
export default ProgressIndicator;
