import * as React from 'react';
import { IconName } from '../Icon/iconClass';
export interface IRadioButtonProps extends React.HTMLAttributes<HTMLInputElement> {
    inputRef?: (input: HTMLInputElement | null | undefined) => any;
    label: React.ReactNode;
    labelHidden?: boolean;
    labelIcon?: IconName;
    checked?: boolean;
    helpText?: React.ReactNode;
    disabled?: boolean;
    id?: string;
    name?: string;
    value?: string;
    onChange?(e: React.ChangeEvent<HTMLInputElement>): void;
    onFocus?(): void;
    onBlur?<T = string | any>(fieldOrEvent: T): T extends string ? (e: any) => void : void;
}
declare const RadioButton: React.FunctionComponent<IRadioButtonProps>;
export default RadioButton;
