"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var Icon_1 = require("../Icon");
var styles = tslib_1.__importStar(require("./Tag.module.scss"));
var Tag = function (_a) {
    var item = _a.item, onRemoveTag = _a.onRemoveTag;
    var onCloseClick = function () {
        onRemoveTag(item);
    };
    return (React.createElement("div", { className: styles['Tag'] },
        item.value,
        ' ',
        React.createElement("div", { onClick: onCloseClick, className: styles['CloseTag'] },
            React.createElement(Icon_1.Icon, { source: "close", color: "grayIron" }))));
};
exports.default = Tag;
//# sourceMappingURL=Tag.js.map