"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var styles = tslib_1.__importStar(require("./Search.module.scss"));
var Search = (function (_super) {
    tslib_1.__extends(Search, _super);
    function Search() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.node = React.createRef();
        _this.handleDismiss = function (_a) {
            var target = _a.target;
            var onDismiss = _this.props.onDismiss;
            if (onDismiss != null) {
                onDismiss();
            }
        };
        return _this;
    }
    Search.prototype.render = function () {
        var _a = this.props, visible = _a.visible, children = _a.children;
        return (React.createElement("div", { className: styles['Search'], ref: this.node, onClick: this.handleDismiss },
            React.createElement("div", { className: styles['Overlay'] }, children)));
    };
    return Search;
}(React.PureComponent));
exports.default = Search;
//# sourceMappingURL=Search.js.map