"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var Avatar_1 = tslib_1.__importDefault(require("../../../Avatar"));
var Icon_1 = require("../../../Icon");
var styles = tslib_1.__importStar(require("./UserMenu.module.scss"));
var UserMenu = function (_a) {
    var name = _a.name, detail = _a.detail, avatar = _a.avatar, initials = _a.initials, onToggle = _a.onToggle, open = _a.open;
    return (React.createElement("button", { className: styles['UserMenu'] },
        React.createElement(Avatar_1.default, { source: avatar }),
        React.createElement("div", { className: styles['arrows'] },
            React.createElement(Icon_1.Icon, { source: "arrows", color: "white" }))));
};
exports.default = UserMenu;
//# sourceMappingURL=UserMenu.js.map