"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function collectionHas(a, b) {
    for (var i = 0, len = a.length; i < len; i++) {
        if (a[i] === b) {
            return true;
        }
    }
    return false;
}
function findParentBySelector(elm, selector) {
    var all = document.querySelectorAll(selector);
    var cur = elm.parentNode;
    while (cur && !collectionHas(all, cur)) {
        cur = cur.parentNode;
    }
    return cur;
}
exports.findParentBySelector = findParentBySelector;
//# sourceMappingURL=findParentBySelector.js.map