function collectionHas(a, b) {
  for (let i = 0, len = a.length; i < len; i++) {
    if (a[i] === b) {
      return true;
    }
  }
  return false;
}

export function findParentBySelector(elm, selector) {
  const all = document.querySelectorAll(selector);
  let cur = elm.parentNode;
  while (cur && !collectionHas(all, cur)) {
    cur = cur.parentNode;
  }
  return cur;
}
