import React from 'react';
interface AlertInlineProps {
    children?: React.ReactNode;
    actions?: React.ReactNode;
    title: string;
    type: 'info' | 'warning' | 'error' | 'success' | 'discovery' | 'neutral';
    size?: 'small' | 'medium';
    icon?: React.ReactNode;
    hideIcon?: boolean;
}
declare const AlertInline: ({ children, actions, type, size, icon, title, hideIcon }: AlertInlineProps) => React.JSX.Element;
export default AlertInline;
