"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var React = tslib_1.__importStar(require("react"));
var styles = tslib_1.__importStar(require("./AppFrame.module.scss"));
var AppFrame = (function (_super) {
    tslib_1.__extends(AppFrame, _super);
    function AppFrame() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    AppFrame.prototype.render = function () {
        var _a;
        var _b = this.props, topBar = _b.topBar, navigation = _b.navigation, noBottomSpace = _b.noBottomSpace, children = _b.children, isLogged = _b.isLogged;
        var renderTopBar = topBar ? React.createElement("div", { className: styles['TopBar'] }, topBar) : null;
        var renderNavigation = navigation ? React.createElement("div", { className: styles['Navigation'] }, navigation) : null;
        var classNames = classnames_1.default(styles['AppFrame'], (_a = {},
            _a[styles['NoBottom']] = noBottomSpace,
            _a[styles['NoNavigation']] = !navigation,
            _a));
        return (React.createElement(React.Fragment, null,
            isLogged && (React.createElement("div", { className: classNames },
                renderTopBar,
                renderNavigation,
                React.createElement("main", { className: styles['Main'] },
                    React.createElement("div", { className: styles['Content'] }, children)))),
            !isLogged && React.createElement("div", { className: styles['Content'] }, children)));
    };
    return AppFrame;
}(React.Component));
exports.default = AppFrame;
//# sourceMappingURL=AppFrame.js.map