"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var styled_components_1 = tslib_1.__importDefault(require("styled-components"));
var styled_components_2 = require("styled-components");
var styled_system_1 = require("styled-system");
var DEFAULT_BREAKPOINTS = {
    xs: 0,
    sm: 576,
    md: 768,
    lg: 992,
    xl: 1200,
};
var theme = {
    breakpoints: DEFAULT_BREAKPOINTS,
    space: [0, 4, 8, 16, 24, 32, 40, 64, 128, 256, 512],
};
var Box = styled_components_1.default.div(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n  ", "\n  ", "\n"], ["\n  ", "\n  ", "\n"])), styled_system_1.space, styled_system_1.width);
Box.propTypes = tslib_1.__assign({}, styled_system_1.space.propTypes, styled_system_1.width.propTypes);
Box.displayName = 'Box';
var ThemedBox = function (props) {
    return (React.createElement(styled_components_2.ThemeProvider, { theme: theme },
        React.createElement(Box, tslib_1.__assign({}, props), props.children)));
};
exports.default = ThemedBox;
var templateObject_1;
//# sourceMappingURL=Box.js.map