"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var React = tslib_1.__importStar(require("react"));
var styles = tslib_1.__importStar(require("./Button.module.scss"));
var Button = function (_a) {
    var primary = _a.primary, success = _a.success, danger = _a.danger, _b = _a.disabled, disabled = _b === void 0 ? false : _b, fullWidth = _a.fullWidth, outline = _a.outline, size = _a.size, onClick = _a.onClick, children = _a.children, _c = _a.type, type = _c === void 0 ? 'button' : _c;
    var _d, _e, _f, _g, _h, _j, _k, _l;
    var classNames = classnames_1.default(styles['Button'], (_d = {}, _d[styles['primary']] = primary, _d), (_e = {}, _e[styles['danger']] = danger, _e), (_f = {}, _f[styles['success']] = success, _f), (_g = {}, _g[styles['disabled']] = disabled, _g), (_h = {}, _h[styles['fullWidth']] = fullWidth, _h), (_j = {}, _j[styles['outline']] = outline, _j), (_k = {}, _k[styles['sm']] = size === 'sm', _k), (_l = {}, _l[styles['lg']] = size === 'lg', _l));
    var handleClick = function (e) {
        if (onClick) {
            onClick(e);
        }
    };
    return (React.createElement("button", { type: type, className: classNames, onClick: handleClick, disabled: disabled },
        React.createElement("span", { className: "" },
            React.createElement("span", null, children))));
};
exports.default = Button;
//# sourceMappingURL=Button.js.map