import React from 'react';
import { IButtonProps } from '../Button';
declare const _default: {
    title: string;
    component: React.FC<IButtonProps>;
    parameters: {
        docs: {
            page: (props: any) => JSX.Element;
        };
        jest: string[];
    };
};
export default _default;
export declare const basic: () => JSX.Element;
export declare const test: () => JSX.Element;
export declare const primary: () => JSX.Element;
export declare const secondary: () => JSX.Element;
export declare const danger: () => JSX.Element;
export declare const success: () => JSX.Element;
export declare const disabled: () => JSX.Element;
export declare const outlineButton: () => JSX.Element;
export declare const subtle: () => JSX.Element;
export declare const tabbed: () => JSX.Element;
export declare const startIcon: () => JSX.Element;
export declare const loading: () => JSX.Element;
