"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var styles = tslib_1.__importStar(require("../../Card.module.scss"));
var Box_1 = require("../../../Box");
var Icon_1 = require("../../../Icon");
var CardHeader = function (_a) {
    var children = _a.children, icon = _a.icon, title = _a.title, px = _a.px, py = _a.py, customColor = _a.customColor;
    return (React.createElement("div", { className: styles['CardHeader'] },
        React.createElement(Box_1.Box, { px: px || 5, py: py || 3 },
            React.createElement("div", { className: styles['CardHeader-Container'] },
                icon && (React.createElement("div", { className: styles['CardHeader-Icon'] },
                    React.createElement(Icon_1.Icon, { source: icon, color: "N800", customColor: customColor, size: 22 }))),
                title && (React.createElement("div", { className: styles['CardHeader-Title'] },
                    React.createElement("p", null, title))),
                React.createElement("div", null, children)))));
};
exports.default = CardHeader;
//# sourceMappingURL=CardHeader.js.map