import * as React from 'react';
import { Color } from '../Icon/iconClass';
export type HeadingTagName = 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6' | 'p';
export interface IHeadingProps {
    element?: HeadingTagName;
    level?: number;
    color?: Color;
    customColor?: string;
    children?: React.ReactNode;
}
declare const Heading: React.FC<IHeadingProps>;
export default Heading;
