"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var React = tslib_1.__importStar(require("react"));
var styles = tslib_1.__importStar(require("./Heading.module.scss"));
var Heading = function (_a) {
    var _b = _a.element, Element = _b === void 0 ? 'h2' : _b, children = _a.children, _c = _a.level, level = _c === void 0 ? 1 : _c, color = _a.color, customColor = _a.customColor;
    var _d, _e, _f, _g, _h, _j, _k;
    var classNames = classnames_1.default(styles['Heading'], (_d = {},
        _d["color-" + color] = color,
        _d), (_e = {}, _e[styles['level-1']] = level === 1, _e), (_f = {}, _f[styles['level-2']] = level === 2, _f), (_g = {}, _g[styles['level-3']] = level === 3, _g), (_h = {}, _h[styles['level-4']] = level === 4, _h), (_j = {}, _j[styles['level-5']] = level === 5, _j), (_k = {}, _k[styles['level-6']] = level === 6, _k));
    var styleNames = {
        color: customColor ? customColor : undefined,
    };
    return (React.createElement("div", { className: classNames },
        React.createElement("span", { style: styleNames }, children)));
};
exports.default = Heading;
//# sourceMappingURL=Heading.js.map