"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var React = tslib_1.__importStar(require("react"));
var styles = tslib_1.__importStar(require("./Icon.module.scss"));
var iconClass_1 = require("./iconClass");
var Icon = function (_a) {
    var source = _a.source, color = _a.color, customColor = _a.customColor, backgroundColor = _a.backgroundColor, customBackgroundColor = _a.customBackgroundColor, size = _a.size;
    var _b, _c, _d;
    var classNames = classnames_1.default(styles[iconClass_1.ICONS[source]], (_b = {},
        _b["color-" + color] = color,
        _b), (_c = {},
        _c["bg-" + backgroundColor] = backgroundColor,
        _c), (_d = {},
        _d[styles['with-background']] = backgroundColor && backgroundColor.length > 0,
        _d));
    var styleNames = {
        backgroundColor: customBackgroundColor ? "" + customBackgroundColor : undefined,
        color: customColor ? customColor : undefined,
        fontSize: size + "px",
        height: backgroundColor ? size + 15 + "px" : 'auto',
        width: backgroundColor ? size + 15 + "px" : 'auto',
    };
    return React.createElement("i", { className: classNames, style: styleNames });
};
exports.default = Icon;
//# sourceMappingURL=Icon.js.map