import * as React from 'react';
export interface ISourceSet {
    source: string;
    descriptor?: string;
}
export type CrossOrigin = 'anonymous' | 'use-credentials' | '' | undefined;
export interface IImageProps extends React.HTMLProps<HTMLImageElement> {
    alt: string;
    source: string;
    sourceSet?: ISourceSet[];
    responsive?: boolean;
    rounded?: boolean;
    onLoad?(): void;
    onError?(): void;
}
declare const Image: React.FC<IImageProps>;
export default Image;
