"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var React = tslib_1.__importStar(require("react"));
var styles = tslib_1.__importStar(require("./Image.module.scss"));
var Image = function (_a) {
    var sourceSet = _a.sourceSet, source = _a.source, responsive = _a.responsive, rounded = _a.rounded, crossOrigin = _a.crossOrigin, rest = tslib_1.__rest(_a, ["sourceSet", "source", "responsive", "rounded", "crossOrigin"]);
    var _b, _c;
    var finalSourceSet = sourceSet
        ? sourceSet.map(function (_a) {
            var subSource = _a.source, descriptor = _a.descriptor;
            return subSource + " " + descriptor;
        }).join(',')
        : null;
    var classNames = classnames_1.default((_b = {}, _b[styles['Responsive']] = responsive, _b), (_c = {}, _c[styles['Rounded']] = rounded, _c));
    return finalSourceSet ? (React.createElement("img", tslib_1.__assign({ className: classNames, src: source, srcSet: finalSourceSet, crossOrigin: crossOrigin }, rest))) : (React.createElement("img", tslib_1.__assign({ src: source, className: classNames }, rest, { crossOrigin: crossOrigin })));
};
exports.default = Image;
//# sourceMappingURL=Image.js.map