"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var React = tslib_1.__importStar(require("react"));
var styles = tslib_1.__importStar(require("./Label.module.scss"));
var labelID = function (id) {
    return id + "Label";
};
var Label = function (_a) {
    var children = _a.children, id = _a.id, hidden = _a.hidden;
    var className = classnames_1.default(styles['Label'], hidden && styles['hidden']);
    return (React.createElement("div", { className: className },
        React.createElement("label", { id: labelID(id), htmlFor: id, className: styles['Text'] }, children)));
};
exports.default = Label;
//# sourceMappingURL=Label.js.map