import * as React from 'react';
export interface ILabelledProps {
    id: string;
    label: string;
    error?: Error | boolean | string;
    disabled?: boolean;
    focused?: boolean;
    helpText?: React.ReactNode;
    children?: React.ReactNode;
    labelHidden?: boolean;
}
declare const Labelled: React.FC<ILabelledProps>;
export default Labelled;
export declare function helpTextID(id: string): string;
