"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var Icon_1 = require("../Icon");
var Link = function (_a) {
    var url = _a.url, children = _a.children, size = _a.size;
    var styleNames = {
        fontSize: size + "px"
    };
    return (React.createElement("a", { href: url, style: styleNames },
        children,
        " ",
        React.createElement(Icon_1.Icon, { source: "arrowLongRight", color: "blueRoyal" })));
};
exports.default = Link;
//# sourceMappingURL=Link.js.map