"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var React = tslib_1.__importStar(require("react"));
var styles = tslib_1.__importStar(require("./Loader.module.scss"));
var Loader = (function (_super) {
    tslib_1.__extends(Loader, _super);
    function Loader() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Loader.prototype.render = function () {
        return React.createElement("div", null, "Loading...");
    };
    Loader.Ellipsis = function () {
        var classNames = classnames_1.default(styles['Loader'], styles['ellipsis']);
        return (React.createElement("div", { className: classNames },
            React.createElement("div", null),
            React.createElement("div", null),
            React.createElement("div", null),
            React.createElement("div", null)));
    };
    Loader.Ring = function () {
        var classNames = classnames_1.default(styles['Loader'], styles['ring']);
        return (React.createElement("div", { className: classNames },
            React.createElement("div", null),
            React.createElement("div", null),
            React.createElement("div", null),
            React.createElement("div", null)));
    };
    Loader.Balls = function () {
        var classNames = classnames_1.default(styles['Loader'], styles['balls']);
        return (React.createElement("div", { className: classNames },
            React.createElement("span", null)));
    };
    return Loader;
}(React.Component));
exports.default = Loader;
//# sourceMappingURL=Loader.js.map