import React from 'react';
import { NativeSelectProps } from '@material-ui/core';
export interface ISelectProps extends NativeSelectProps {
    inputRef?: any;
    label?: string;
    labelHidden?: boolean;
    disabled?: boolean;
    placeholder?: string;
    helperText?: React.ReactNode;
    id?: string;
    name?: string;
    value?: string;
    error?: boolean;
    SelectProps?: Record<string, any>;
    FormControlProps?: Record<string, any>;
    InputLabelProps?: Record<string, any>;
    onFocus?(event: Record<string, any>): void;
    onBlur?(event: Record<string, any>): void;
    displayRequired?: boolean;
    options: any;
}
declare const MultiSelect: React.FC<ISelectProps>;
export default MultiSelect;
