import * as React from 'react';
import { Section } from './components/Section';
export interface IItemType {
    label: string;
    url: string;
    icon?: any;
}
export interface ISectionType {
    title?: string;
    fill?: boolean;
    items?: IItemType[];
}
interface INavigationProps {
    children?: React.ReactNode;
    location?: string;
    sections?: ISectionType[];
}
declare class Navigation extends React.Component<INavigationProps> {
    static Section: typeof Section;
    static Filter: React.FC<import("./components/NavFilter/NavFilter").INavFilterProp>;
    static FilterItem: React.FC<import("./components/NavFilterItem/NavFilterItem").INavFilterItemProp>;
    render(): React.JSX.Element;
}
export default Navigation;
