"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var styles = tslib_1.__importStar(require("./Navigation.module.scss"));
var NavFilter_1 = require("./components/NavFilter");
var NavFilterItem_1 = require("./components/NavFilterItem");
var Section_1 = require("./components/Section");
var Navigation = (function (_super) {
    tslib_1.__extends(Navigation, _super);
    function Navigation() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Navigation.prototype.render = function () {
        var _a = this.props, children = _a.children, location = _a.location;
        return React.createElement("nav", { className: styles['Navigation'] }, children);
    };
    Navigation.Section = Section_1.Section;
    Navigation.Filter = NavFilter_1.NavFilter;
    Navigation.FilterItem = NavFilterItem_1.NavFilterItem;
    return Navigation;
}(React.Component));
exports.default = Navigation;
//# sourceMappingURL=Navigation.js.map