"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var React = tslib_1.__importStar(require("react"));
var Icon_1 = tslib_1.__importDefault(require("../../../Icon/Icon"));
var UnstyledLink_1 = require("../../../UnstyledLink");
var styles = tslib_1.__importStar(require("../../Navigation.module.scss"));
var Item = (function (_super) {
    tslib_1.__extends(Item, _super);
    function Item() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Item.prototype.render = function () {
        var _a;
        var _b = this.props, url = _b.url, icon = _b.icon, label = _b.label, selected = _b.selected;
        var isSelected = selected;
        var renderIcon = icon && (React.createElement("div", { className: styles['Icon'] },
            React.createElement(Icon_1.default, { source: icon })));
        var classNames = classnames_1.default(styles['ListItem']);
        var itemLinkClass = classnames_1.default(styles['Item'], (_a = {},
            _a[styles['Item-selected']] = isSelected,
            _a));
        return (React.createElement("li", { className: classNames },
            React.createElement(UnstyledLink_1.UnstyledLink, { url: url, className: itemLinkClass, activeClassName: styles['nav-link-active'], type: "nav" },
                renderIcon,
                React.createElement("span", { className: styles['Text'] }, label))));
    };
    Item.defaultProps = { url: '/' };
    return Item;
}(React.Component));
exports.default = Item;
//# sourceMappingURL=Item.js.map