"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var React = tslib_1.__importStar(require("react"));
var Heading_1 = tslib_1.__importDefault(require("../Heading/Heading"));
var styles = tslib_1.__importStar(require("./Page.module.scss"));
var Page = function (_a) {
    var children = _a.children, title = _a.title, subtitle = _a.subtitle, mainActions = _a.mainActions, layout = _a.layout;
    var _b;
    var classNames = classnames_1.default(styles['Page'], (_b = {},
        _b[styles['Compact']] = layout && layout === 'compact',
        _b[styles['Standard']] = layout && layout === 'standard',
        _b));
    return (React.createElement("div", { className: classNames },
        React.createElement("div", { className: styles['PageHeading'] },
            React.createElement("div", null,
                subtitle && (React.createElement(Heading_1.default, { level: 6 },
                    React.createElement("h1", null, subtitle))),
                title && (React.createElement(Heading_1.default, { level: 1 },
                    React.createElement("h1", null, title)))),
            React.createElement("div", { className: styles['PageAction'] }, mainActions)),
        children));
};
exports.default = Page;
//# sourceMappingURL=Page.js.map