"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var react_1 = tslib_1.__importDefault(require("react"));
var styles = tslib_1.__importStar(require("../../Pagination.module.scss"));
var PageNumber = function (_a) {
    var page = _a.page, isSelected = _a.isSelected, onClick = _a.onClick;
    var _b;
    var classNames = classnames_1.default(styles['PageNumber'], (_b = {},
        _b[styles['selected']] = isSelected,
        _b));
    var handleClick = function (event) {
        onClick(event, page);
    };
    return (react_1.default.createElement("button", { className: classNames, type: "button", "aria-label": "Page " + page, onClick: function (e) {
            handleClick(e);
        } },
        react_1.default.createElement("span", null,
            react_1.default.createElement("span", null, page))));
};
exports.default = PageNumber;
//# sourceMappingURL=PageNumber.js.map