"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var React = tslib_1.__importStar(require("react"));
var styles = tslib_1.__importStar(require("./ProgressIndicator.module.scss"));
var ProgressIndicator = function (_a) {
    var steps = _a.steps, size = _a.size, _b = _a.numbered, numbered = _b === void 0 ? false : _b;
    var _c;
    var classNames = classnames_1.default(styles['progress-container'], (_c = {},
        _c[styles["size-" + size]] = size,
        _c[styles['numbered']] = numbered,
        _c));
    return (React.createElement("div", { className: classNames },
        React.createElement("ul", { className: styles['progress-stages'] }, steps.map(function (step) {
            var _a, _b, _c;
            var classStep = classnames_1.default((_a = {}, _a[styles['is-done']] = step.status === 'done', _a), (_b = {}, _b[styles['is-selected']] = step.status === 'selected', _b), (_c = {}, _c[styles['is-error']] = step.status === 'error', _c));
            return (React.createElement("li", { key: step.name.toLowerCase(), className: classStep },
                React.createElement("label", null, step.name)));
        }))));
};
exports.default = ProgressIndicator;
//# sourceMappingURL=ProgressIndicator.js.map