"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var React = tslib_1.__importStar(require("react"));
var UnstyledLink_1 = require("../../../UnstyledLink");
var styles = tslib_1.__importStar(require("../../TableList.module.scss"));
var Cell = function (_a) {
    var children = _a.children, align = _a.align, link = _a.link;
    var _b;
    var classNames = classnames_1.default((_b = {}, _b[styles['td-link']] = link, _b), "" + (align === 'right' ? 'text-right' : ''));
    if (link) {
        return (React.createElement("td", { className: classNames },
            React.createElement(UnstyledLink_1.UnstyledLink, { url: link },
                React.createElement("div", { className: "td-container" }, children))));
    }
    else {
        return React.createElement("td", { className: classNames }, children);
    }
};
exports.default = Cell;
//# sourceMappingURL=Cell.js.map