"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var VariationValue;
(function (VariationValue) {
    VariationValue["Positive"] = "positive";
    VariationValue["Negative"] = "negative";
    VariationValue["Strong"] = "strong";
    VariationValue["Subdued"] = "subdued";
    VariationValue["Code"] = "code";
})(VariationValue || (VariationValue = {}));
function TextStyle(_a) {
    var variation = _a.variation, children = _a.children;
    var Element = variationElement(variation);
    return React.createElement(Element, null, children);
}
exports.default = TextStyle;
function variationElement(variation) {
    return variation === VariationValue.Code ? 'code' : 'span';
}
//# sourceMappingURL=TextStyle.js.map