import * as React from 'react';
export interface ISearchFieldProps {
    value?: string;
    placeholder?: string;
    focused?: boolean;
    active?: boolean;
    onChange: (value: string) => void;
    onFocus?(): void;
    onBlur?(): void;
    onCancel?(): void;
}
export default class SearchField extends React.Component<ISearchFieldProps, never> {
    private input;
    componentDidMount(): void;
    componentDidUpdate({ focused: wasFocused }: ISearchFieldProps): void;
    render(): React.JSX.Element;
    handleFocus: () => void;
    handleBlur: () => void;
    handleClear: () => void;
    handleChange: ({ currentTarget }: React.ChangeEvent<HTMLInputElement>) => void;
}
