"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var React = tslib_1.__importStar(require("react"));
var react_router_dom_1 = require("react-router-dom");
var styles = tslib_1.__importStar(require("./UnstyledLink.module.scss"));
var UnstyledLink = function (_a) {
    var children = _a.children, external = _a.external, url = _a.url, type = _a.type, activeClassName = _a.activeClassName, rest = tslib_1.__rest(_a, ["children", "external", "url", "type", "activeClassName"]);
    var target = external ? '_blank' : undefined;
    var rel = external ? 'noopener noreferrer' : undefined;
    var classNames = classnames_1.default(styles['Link']);
    if (type === 'nav') {
        return (React.createElement(react_router_dom_1.NavLink, { to: url, exact: true, activeClassName: activeClassName }, children));
    }
    else if (external) {
        return (React.createElement("a", tslib_1.__assign({ target: target }, rest, { href: url, rel: rel }), children));
    }
    else {
        return (React.createElement(react_router_dom_1.Link, { to: url, className: classNames }, children));
    }
};
exports.default = UnstyledLink;
//# sourceMappingURL=UnstyledLink.js.map